#pragma once

#include "classicanimationscenario.h"

class ClassicDyingAnimationScenario : public ClassicAnimationScenario
{
public:
    virtual void launch(const std::shared_ptr<ClassicNoteGraphics> sprite, const kku::microsec& time_begin, const kku::microsec& time_end) override;
    virtual void update(const kku::microsec& music_offset) override;
    virtual bool isDone() const override;
};
